> ## Documentation Index
> Fetch the complete documentation index at: https://gccai.heqingsong.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Generación de video seedance-1-5-pro

>  - Modo de procesamiento asíncrono, devuelve un ID de tarea para consultas posteriores
- Admite texto-a-video, imagen-a-video (primer fotograma/último fotograma)
- Admite generación de audio
- Admite proporciones horizontal, vertical y cuadrada 

```bash cURL theme={null}
curl --request POST \
  --url https://gccai.heqingsong.uk/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-1-5-pro",
    "prompt": "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": true
  }'
```

```python Python theme={null}
import requests

url = "https://gccai.heqingsong.uk/v1/videos/generations"

payload = {
    "model": "seedance-1-5-pro",
    "prompt": "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": True
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript JavaScript theme={null}
const url = "https://gccai.heqingsong.uk/v1/videos/generations";

const payload = {
  model: "seedance-1-5-pro",
  prompt: "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
  duration: 5,
  aspect_ratio: "16:9",
  resolution: "720p",
  audio: true
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```go Go theme={null}
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://gccai.heqingsong.uk/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "seedance-1-5-pro",
        "prompt":       "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
        "duration":     5,
        "aspect_ratio": "16:9",
        "resolution":   "720p",
        "audio":        true,
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
```

```java Java theme={null}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://gccai.heqingsong.uk/v1/videos/generations";

        String payload = """
        {
          "model": "seedance-1-5-pro",
          "prompt": "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
          "duration": 5,
          "aspect_ratio": "16:9",
          "resolution": "720p",
          "audio": true
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```php PHP theme={null}
<?php

$url = "https://gccai.heqingsong.uk/v1/videos/generations";

$payload = [
    "model" => "seedance-1-5-pro",
    "prompt" => "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
    "duration" => 5,
    "aspect_ratio" => "16:9",
    "resolution" => "720p",
    "audio" => true
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
```

```ruby Ruby theme={null}
require 'net/http'
require 'json'
require 'uri'

url = URI("https://gccai.heqingsong.uk/v1/videos/generations")

payload = {
  model: "seedance-1-5-pro",
  prompt: "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
  duration: 5,
  aspect_ratio: "16:9",
  resolution: "720p",
  audio: true
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
```

```swift Swift theme={null}
import Foundation

let url = URL(string: "https://gccai.heqingsong.uk/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "seedance-1-5-pro",
    "prompt": "A cute kitten playing in the sunlight, fluffy fur, bright eyes",
    "duration": 5,
    "aspect_ratio": "16:9",
    "resolution": "720p",
    "audio": true
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
```

```csharp C# theme={null}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://gccai.heqingsong.uk/v1/videos/generations";

        var payload = @"{
            ""model"": ""seedance-1-5-pro"",
            ""prompt"": ""A cute kitten playing in the sunlight, fluffy fur, bright eyes"",
            ""duration"": 5,
            ""aspect_ratio"": ""16:9"",
            ""resolution"": ""720p"",
            ""audio"": true
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
```

```json 200 theme={null}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01K8SGYNNNVBQTXNR4MM964S7K"
    }
  ]
}
```

```json 400 theme={null}
{
  "error": {
    "code": 400,
    "message": "Invalid request parameters",
    "type": "invalid_request_error"
  }
}
```

```json 401 theme={null}
{
  "error": {
    "code": 401,
    "message": "Invalid authentication credentials",
    "type": "authentication_error"
  }
}
```

```json 402 theme={null}
{
  "error": {
    "code": 402,
    "message": "Insufficient balance. Please top up your account",
    "type": "payment_required"
  }
}
```

```json 429 theme={null}
{
  "error": {
    "code": 429,
    "message": "Rate limit exceeded. Please try again later",
    "type": "rate_limit_error"
  }
}
```

```json 500 theme={null}
{
  "error": {
    "code": 500,
    "message": "Internal server error. Please try again later",
    "type": "server_error"
  }
}
```

## Autorización

**Authorization** `string` *required*

Todos los endpoints de la API requieren autenticación mediante Bearer Token

Obtenga su API Key:

Visite la [página de gestión de API Keys](https://gccai.heqingsong.uk/keys) para obtener su API Key

Añádala a la cabecera de la solicitud:

```
Authorization: Bearer YOUR_API_KEY
```

## Parámetros de la solicitud

**model** `string` *required*

Nombre del modelo de generación de video

Modelos admitidos:

* `seedance-1-5-pro` - Versión 1.5 Pro, admite generación de audio y primer/último fotograma

**nsfw\_check** `boolean` (default: false)

Indica si se debe moderar el contenido antes de enviar la tarea de vídeo.

* `true`: revisar los prompts y las imágenes de entrada con `omni-moderation-latest`
* `false` u omitido: no enviar una solicitud de moderación, sin coste ni latencia de moderación adicionales (predeterminado)

**prompt** `string` *required*

Descripción del contenido del video

Describa escenas, acciones y estilos en detalle para obtener mejores resultados

Ejemplo: `"Atardecer en la playa, luz dorada del sol sobre el mar, olas rompiendo suavemente en la arena"`

**duration** `integer` (default: 5)

Duración del video (segundos)

Rango admitido: `4` \~ `12` segundos

Predeterminado: `5`

**aspect\_ratio** `string` (default: 16:9)

Proporción del video

Opciones:

* `16:9` - Horizontal
* `9:16` - Vertical
* `1:1` - Cuadrado
* `4:3` - Proporción tradicional
* `3:4` - Proporción tradicional vertical
* `21:9` - Ultra ancha

Predeterminado: `16:9`

**resolution** `string` (default: 720p)

Resolución del video

Opciones:

* `480p` - Definición estándar
* `720p` - Alta definición
* `1080p` - Full HD

Predeterminado: `720p`

**seed** `integer`

Semilla entera para controlar la aleatoriedad del contenido generado

Rango de valores: número entero entre `-1` y `2^32-1`

> [!NOTE]
>
> * Con la misma solicitud, si el modelo recibe valores de seed distintos (por ejemplo, no especificar seed o establecer seed en -1, lo que usará un número aleatorio), se generarán resultados diferentes
> * Con la misma solicitud, si el modelo recibe el mismo valor de seed, se generarán resultados similares, aunque no se garantiza que sean idénticos

**audio** `boolean` (default: true)

Si se debe generar audio

Cuando se establece en `true`, el video incluirá audio de acompañamiento generado por IA

Predeterminado: `true`

> [!NOTE]
>
> La generación de audio solo es compatible con la serie Seedance 2.0 y Seedance 1.5 Pro

**camerafixed** `boolean` (default: false)

Si se fija la cámara

Cuando se establece en `true`, la posición de la cámara permanece fija

Predeterminado: `false`

## Combinaciones de resolución y proporción

| Resolución | Proporciones admitidas | Notas |
| - | - | - |
| 480p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | Todas admitidas |
| 720p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | Todas admitidas |
| 1080p | 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 | Todas admitidas |

**image\_urls** `array\<url\>`

Array de URLs de imagen para generación imagen-a-video

Reglas de asignación automática de rol:

* 1 imagen = primer fotograma
* 2 imágenes = primer fotograma + último fotograma

Ejemplo: `["https://example.com/first.png", "https://example.com/last.png"]`

> [!WARNING]
>
> * `image_urls` e `image_with_roles` no se pueden usar al mismo tiempo

**image\_with\_roles** `array`

Array de imágenes con roles para un control más preciso

**Descripción de los campos**

**url** `string` *required*

URL de la imagen

**role** `string` *required*

Rol de la imagen

Opciones:

* `first_frame` - Imagen del primer fotograma, como fotograma inicial del video (solo se admite una)
* `last_frame` - Imagen del último fotograma, como fotograma final del video (solo se admite una)

Ejemplo:

```json theme={null}
[
  {"url": "https://example.com/start.png", "role": "first_frame"},
  {"url": "https://example.com/end.png", "role": "last_frame"}
]
```

> [!WARNING]
>
> * `image_urls` e `image_with_roles` no se pueden usar al mismo tiempo
> * El primer fotograma y el último fotograma solo admiten uno cada uno

## Respuesta

**code** `integer`

Código de estado de la respuesta, 200 en caso de éxito

**data** `array`

Array de datos de la respuesta

**Elementos del array**

**status** `string`

Estado de la tarea, `submitted` cuando se envía inicialmente

**task\_id** `string`

Identificador único de la tarea para consultar el estado y los resultados

## Casos de uso

### Caso 1: Texto-a-video con audio

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "Sunset at the beach, golden sunlight on the sea, waves gently hitting the sand",
  "audio": true
}
```

### Caso 2: Video corto vertical de alta calidad

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "A girl spinning under cherry blossom trees, petals falling with the wind",
  "duration": 5,
  "aspect_ratio": "9:16",
  "resolution": "720p",
  "audio": true
}
```

### Caso 3: Video dinámico a partir del primer fotograma

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "Animate the image with natural dynamic effects",
  "image_urls": ["https://example.com/first.png"],
  "duration": 5,
  "audio": true
}
```

### Caso 4: Efecto de transición con primer/último fotograma

```json theme={null}
{
  "model": "seedance-1-5-pro",
  "prompt": "Scene transitions from day to night, city lights gradually turning on",
  "image_with_roles": [
    {"url": "https://example.com/day.png", "role": "first_frame"},
    {"url": "https://example.com/night.png", "role": "last_frame"}
  ],
  "duration": 5
}
```

> [!NOTE]
>
> **Consultar los resultados de la tarea**
>
> La generación de video es una tarea asíncrona que devuelve un `task_id` al enviarla. Use el endpoint [Obtener estado de tarea](https://gccai.heqingsong.uk/es/api-reference/tasks/status.md) para consultar el progreso y los resultados de la generación.

## Diferencias con la versión 1.0

| Característica | 1.0 fast/quality | 1.5 Pro |
| - | - | - |
| Resolución predeterminada | 1080p | **720p** |
| Resoluciones admitidas | 480p/720p/1080p | **480p/720p/1080p** |
| Rango de duración | 2-12s | **4-12s** |
| Generación de audio | No admitida | **Admitida** |
| Imagen de referencia | `reference` (1 imagen) | No admitida |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.